#!/bin/bash
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
MY_PATH=/home/root/scripts/gps

NMEA_FILE="${MY_PATH}"/tables/track.nmea

# check for the last suffix used. it is stored in a file
if test -s "${MY_PATH}"/tables/suffix.txt; then
 SUFFIX=`cat "${MY_PATH}"/tables/suffix.txt`
else
 echo 'Suffix file does not exsist'
 exit 1
fi

BASE_FILE=`basename "${NMEA_FILE}"`
TMP_FILE=gps_log_"${SUFFIX}".gpx
GPX_FILE="${MY_PATH}"/tables/"${TMP_FILE}"
LOG_FILE=gps_log_"${SUFFIX}".nmea

awk -F"," -f "${MY_PATH}"/scripts/cleanup.awk "${NMEA_FILE}" | gpsbabel -i nmea -f - -o gpx -F "${GPX_FILE}"
