#!/bin/bash
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
MY_PATH=/home/root/scripts/gps
API_KEY=d41d8cd98f00b204e9800998ecf8427e # fake key, use your own key please.

# 090115  10:33	script to parse gps log files and cell_id log files
#		and generate a script to upload the cellid's and their location
#		to opencellid.org

	
# check for the last suffix used. it is stored in a file
if test -s "${MY_PATH}"/tables/suffix.txt; then
 SUFFIX=`cat "${MY_PATH}"/tables/suffix.txt`
else
 exit 1
fi

# check if the cell_id file with the suffix is present
if test -s "${MY_PATH}"/tables/cell_ids_"${SUFFIX}"; then
 FOUND_CELLS="${MY_PATH}"/tables/cell_ids_"${SUFFIX}"
else
 echo 'File with the cell ids is not present !'
 exit 2
fi


# check if the gps file track.nmea is present
if test -s "${MY_PATH}"/tables/track.nmea; then
 cp "${MY_PATH}"/tables/track.nmea "${MY_PATH}"/tables/gps_log_"${SUFFIX}".nmea
 "${MY_PATH}"/scripts/nmea2gpx.sh "${MY_PATH}"/tables/track.nmea > "${MY_PATH}"/tables/gps_log_"${SUFFIX}".gpx
 awk -f "${MY_PATH}"/scripts/time_loc.awk "${MY_PATH}"/tables/gps_log_"${SUFFIX}".gpx > "${MY_PATH}"/tables/locations_"${SUFFIX}"
else
 echo 'The track file is not present'
 exit 3
fi

# check if the locations_file with the suffix is present
if test -s "${MY_PATH}"/tables/locations_"${SUFFIX}"; then
 TRACK_FILE="${MY_PATH}"/tables/locations_"${SUFFIX}"
else
 echo 'File with the locations is not present !'
 exit 4
fi

OLD_IFS="${IFS}"
IFS=$'\n'

for LINE in `cat "${FOUND_CELLS}"`; do
 T_STAMP=`echo "${LINE}" | awk '{ print $1 }'`
 GET_URL=`echo "${LINE}" | awk '{ print $2 }'`
 for SAMPLE in `grep "${T_STAMP}" "${TRACK_FILE}"`; do
  LAT=` echo "${SAMPLE}" | awk '{ print $2}'`
  LONG=`echo "${SAMPLE}" | awk '{ print $3}'`
  if test "${LAT}" -a "${LONG}"; then
   PART_URL=`echo "${GET_URL}" | sed 's;/cell/;/measure/;' | sed 's;get;add;' | sed "s;mcc;key=${API_KEY}\&mcc;"`
   PUT_URL=`echo 'wget -q -O - "'"${PART_URL}"'&lat='"${LAT}"'&lon='"${LONG}"'"'`
   echo "${PUT_URL}"
   #wget -q -O -  "${PUT_URL}"
  fi
 done
done

